Productsup
CDE APIApi referenceManagement

Create temporary ownership of a resource (connector/bucket) for an integrator.

Sign in to run requests against the CDE API.
POST
/temporary-ownerships

Authorization

oAuth2AuthCode
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

resource?string

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://cde.staging.productsup.com/temporary-ownerships" \  -H "Content-Type: application/json" \  -d '{    "resource": "019e16f3-adcf-73e1-bbc2-6f32377c7358"  }'
{
  "message": "Successfully created temporary ownership."
}
{
  "message": "Bad request.",
  "errors": {
    "resource": "This is not a valid UUID."
  }
}
{
  "message": "You have to be authorized to access this resource."
}
{
  "message": "Access denied for user."
}

How is this guide?